Bug 1761556 - fntsample missing dependency on perl-libintl-perl
Summary: fntsample missing dependency on perl-libintl-perl
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fntsample
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Parag Nemade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-14 16:55 UTC by Renee Margaret McConahy
Modified: 2019-11-11 01:05 UTC (History)
3 users (show)

Fixed In Version: fntsample-5.3-4.fc30 fntsample-5.3-4.fc29 fntsample-5.3-4.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-09 22:39:11 UTC
Type: Bug


Attachments (Terms of Use)

Description Renee Margaret McConahy 2019-10-14 16:55:46 UTC
Description of problem:
The pdfoutline tool included with fntsample requires Perl module Locale::TextDomain (packaged in perl-libintl-perl), but the fntsample package doesn't specify it as a dependency.

Version-Release number of selected component (if applicable):
fntsample-5.2-2.fc29

How reproducible:
always

Steps to reproduce:
1. Without perl-libintl-perl installed, install the fntsample package.
2. Run pdfoutline.

Actual results:
Application reported an error: "Can't locate Locale/TextDomain.pm in @INC (you may need to install the Locale::TextDomain module) [...] at /bin/pdfoutline line 36."

Expected results:
Usage instructions.

Additional info:
Installing perl-libintl-perl causes the application to work as expected.

Comment 1 Ben Cotton 2019-10-31 18:46:11 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora Update System 2019-11-01 06:00:39 UTC
FEDORA-2019-1b5c1c399c has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1b5c1c399c

Comment 3 Fedora Update System 2019-11-01 06:18:56 UTC
FEDORA-2019-3e4e542c08 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-3e4e542c08

Comment 4 Fedora Update System 2019-11-01 06:35:11 UTC
FEDORA-2019-b8b76c0915 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b8b76c0915

Comment 5 Fedora Update System 2019-11-02 02:26:30 UTC
fntsample-5.3-4.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-3e4e542c08

Comment 6 Fedora Update System 2019-11-02 04:13:24 UTC
fntsample-5.3-4.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b8b76c0915

Comment 7 Fedora Update System 2019-11-03 06:01:17 UTC
fntsample-5.3-4.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1b5c1c399c

Comment 8 Fedora Update System 2019-11-09 22:39:11 UTC
fntsample-5.3-4.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-11-10 01:06:55 UTC
fntsample-5.3-4.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-11-11 01:05:44 UTC
fntsample-5.3-4.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.